opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
CvForestTree Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvForestTree:

## Public Member Functions

| CvForestTree ()
virtual int | get_var_count () const
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvRTrees *forest, CvDTreeTrainData *_data)
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvDTreeTrainData *data)
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx, CvRTrees *forest)
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvDTreeParams params=CvDTreeParams())
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx)
virtual | ~CvForestTree ()
Public Member Functions inherited from CvDTree
virtual float | calc_error (CvMLData *trainData, int type, std::vector< float > *resp=0)
virtual CV_WRAP void | clear ()
CV_WRAP | CvDTree ()
CvDTreeTrainData * | get_data ()
int | get_pruned_tree_idx () const
const CvDTreeNode * | get_root () const
virtual const CvMat * | get_var_importance ()
virtual CV_WRAP cv::Mat | getVarImportance ()
virtual CvDTreeNode * | predict (const CvMat *sample, const CvMat *missingDataMask=0, bool preprocessedInput=false) const
virtual CV_WRAP CvDTreeNode * | predict (const cv::Mat &sample, const cv::Mat &missingDataMask=cv::Mat(), bool preprocessedInput=false) const
virtual bool | train (CvMLData *trainData, CvDTreeParams params=CvDTreeParams())
virtual CV_WRAP bool | train (const cv::Mat &trainData, int tflag, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), const cv::Mat &varType=cv::Mat(), const cv::Mat &missingDataMask=cv::Mat(), CvDTreeParams params=CvDTreeParams())
virtual void | write (CvFileStorage *fs, const char *name) const
virtual void | write (CvFileStorage *fs) const
virtual | ~CvDTree ()
Public Member Functions inherited from CvStatModel
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual | ~CvStatModel ()

## Protected Member Functions

virtual CvDTreeSplit * | find_best_split (CvDTreeNode *n)
Protected Member Functions inherited from CvDTree
virtual double | calc_node_dir (CvDTreeNode *node)
virtual void | calc_node_value (CvDTreeNode *node)
virtual void | cluster_categories (const int *vectors, int vector_count, int var_count, int *sums, int k, int *cluster_labels)
virtual void | complete_node_dir (CvDTreeNode *node)
virtual int | cut_tree (int T, int fold, double min_alpha)
virtual bool | do_train (const CvMat *_subsample_idx)
virtual CvDTreeSplit * | find_split_cat_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_cat_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_surrogate_split_cat (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_surrogate_split_ord (CvDTreeNode *n, int vi, uchar *ext_buf=0)
virtual void | free_prune_data (bool cut_tree)
virtual void | free_tree ()
virtual void | prune_cv ()
virtual CvDTreeNode * | read_node (CvFileStorage *fs, CvFileNode *node, CvDTreeNode *parent)
virtual CvDTreeSplit * | read_split (CvFileStorage *fs, CvFileNode *node)
virtual void | read_tree_nodes (CvFileStorage *fs, CvFileNode *node)
virtual void | split_node_data (CvDTreeNode *n)
virtual void | try_split_node (CvDTreeNode *n)
virtual double | update_tree_rnc (int T, int fold)
virtual void | write_node (CvFileStorage *fs, CvDTreeNode *node) const
virtual void | write_split (CvFileStorage *fs, CvDTreeSplit *split) const
virtual void | write_tree_nodes (CvFileStorage *fs) const

## Protected Attributes

CvRTrees * | forest
Protected Attributes inherited from CvDTree
CvDTreeTrainData * | data
CvDTreeNode * | root
CvMat * | var_importance
Protected Attributes inherited from CvStatModel
const char * | default_model_name

## Friends

struct | cv::ForestTreeBestSplitFinder

## Additional Inherited Members

Public Attributes inherited from CvDTree
int | pruned_tree_idx

## Constructor & Destructor Documentation

CvForestTree::CvForestTree | ( |  | ) |

virtual CvForestTree::~CvForestTree | ( |  | ) |

virtual

## Member Function Documentation

virtual CvDTreeSplit* CvForestTree::find_best_split | ( | CvDTreeNode * | n | ) |

protected virtual

Reimplemented from CvDTree.

virtual int CvForestTree::get_var_count | ( |  | ) | const

inline virtual

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvRTrees * | forest,
|  | CvDTreeTrainData * | _data
| ) |  |

virtual

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  |

virtual

Reimplemented from CvDTree.

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvDTreeTrainData * | data
| ) |  |

virtual

Reimplemented from CvDTree.

virtual bool CvForestTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | _subsample_idx,
|  | CvRTrees * | forest
| ) |  |

virtual

virtual bool CvForestTree::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvDTreeParams | params = `CvDTreeParams()`
| ) |  |

virtual

Reimplemented from CvDTree.

virtual bool CvForestTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | _subsample_idx
| ) |  |

virtual

Reimplemented from CvDTree.

## Friends And Related Function Documentation

friend struct cv::ForestTreeBestSplitFinder

friend

## Member Data Documentation

CvRTrees* CvForestTree::forest

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp